API reference OpenAPI 3.1
GET /exports/audit

Export audit

Bearer API key or staff session operation exportAudit

Parameters

NameInTypeRequiredDescription
limit query integer No default 1000
since query string No —

Request

This endpoint has no request body.

curl "$MONICHEK_API/exports/audit?limit=1000" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/exports/audit?limit=1000`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.get(
    f"{os.environ['MONICHEK_API']}/exports/audit?limit=1000",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/exports/audit?limit=1000');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

200 OK NDJSON for SIEM collectors application/x-ndjson

Binary or streamed response (application/x-ndjson). Send the request with Accept: application/x-ndjson and write the body to a file.

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.